Bug 842199 - Review Request: php-Monolog - Logging for PHP 5.3
Review Request: php-Monolog - Logging for PHP 5.3
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Remi Collet
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-22 23:07 EDT by Shawn Iwinski
Modified: 2012-12-04 14:57 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-23 03:09:00 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
fedora: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)
php-Monolog-review.txt (7.47 KB, text/plain)
2012-11-17 11:15 EST, Remi Collet
no flags Details

  None (edit)
Description Shawn Iwinski 2012-07-22 23:07:52 EDT
Spec URL: http://siwinski.fedorapeople.org/rpmbuild/SPECS/php-monolog.spec

SRPM URL: http://siwinski.fedorapeople.org/rpmbuild/SRPMS/php-monolog-1.1.0-1.fc17.src.rpm

Description: Logging for PHP 5.3.

Fedora Account System Username: siwinski
Comment 1 Remi Collet 2012-09-06 02:16:29 EDT
Some questions:

why do you package 1.1.0 when latest tagged version is 1.2.1 ?
(probably tagged after this review was submitted)

Summary: "PHP 5.3" ? seems to reduce usage, even if from upstream, could probably be improved

%description : should probably be improved (from README ?)

Probably a comment about optional dep which need to be installed for various handler (amqp, swiftmailer, gelf, mongo, ...)

License is MIT, according to upstream
Comment 2 Shawn Iwinski 2012-11-17 00:26:06 EST
Updated to upstream version 1.2.1 + several fixes

SPEC URL: http://siwinski.fedorapeople.org/rpmbuild/SPECS/php-Monolog.spec

SRPM URL: http://siwinski.fedorapeople.org/rpmbuild/SRPMS/php-Monolog-1.2.1-1.fc17.src.rpm
Comment 3 Remi Collet 2012-11-17 11:15:33 EST
Created attachment 646835 [details]
php-Monolog-review.txt

Generated by fedora-review 0.3.1 (b71abc1) last change: 2012-10-16
Buildroot used: fedora-17-x86_64
Command line :/usr/bin/fedora-review -b 842199
Comment 4 Remi Collet 2012-11-17 11:16:03 EST
All seems ok.

=== APPROVED ===
Comment 5 Shawn Iwinski 2012-11-17 11:27:23 EST
New Package SCM Request
=======================
Package Name: php-Monolog
Short Description: Logging for PHP 5.3
Owners: siwinski
Branches: f17 f18 el6
InitialCC:
Comment 6 Gwyn Ciesla 2012-11-18 12:09:12 EST
Git done (by process-git-requests).
Comment 7 Fedora Update System 2012-11-18 20:26:11 EST
php-Monolog-1.2.1-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/php-Monolog-1.2.1-1.el6
Comment 8 Fedora Update System 2012-11-18 20:26:23 EST
php-Monolog-1.2.1-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/php-Monolog-1.2.1-1.fc18
Comment 9 Fedora Update System 2012-11-18 20:26:34 EST
php-Monolog-1.2.1-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/php-Monolog-1.2.1-1.fc17
Comment 10 Fedora Update System 2012-11-19 01:56:09 EST
php-Monolog-1.2.1-1.fc18 has been pushed to the Fedora 18 testing repository.
Comment 11 Fedora Update System 2012-11-23 03:09:02 EST
php-Monolog-1.2.1-1.fc18 has been pushed to the Fedora 18 stable repository.
Comment 12 Fedora Update System 2012-11-28 06:50:14 EST
php-Monolog-1.2.1-1.fc17 has been pushed to the Fedora 17 stable repository.
Comment 13 Fedora Update System 2012-12-04 14:57:09 EST
php-Monolog-1.2.1-1.el6 has been pushed to the Fedora EPEL 6 stable repository.

Note You need to log in before you can comment on or make changes to this bug.